LightweightTriggerHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.dvr.event
Interface LightweightTriggerHandler

    public interface LightweightTriggerHandler

This interface represents a handler that can register for interest in specific stream types. When notified of stream type activity of interest this handler MAY create an artificial object carousel associated with the stream and populate it with stream events that will be generated whenever the stream is played back and encounters the JMF media time attached to one of the stream events.

Method Summary
`void` | `notifyStreamType(LightweightTriggerSession session)` Notifies the handler when a PMT is received that contains an elementary stream with a stream type it registered interest in.

Method Detail

### notifyStreamType

    void notifyStreamType(LightweightTriggerSession session)

  Notifies the handler when a PMT is received that contains an elementary stream with a stream type it registered interest in. This SHALL include scheduled in-progress recordings happening in the background, `ServiceContext` presentation with time-shift enabled or disabled, and `BufferingRequests`. If multiple PMTs in the same transport stream contain elementary streams with stream types the handler is interested in, this method SHALL be called once for each PMT. If the same stream is being presented simultaneously this method SHALL be called for each presentation, e.g. the same service is presented in multiple service contexts simultaneously. The session parameter SHALL be started by the implementation and is ready for application use.

  Parameters:
    `session` - The session for the stream type of interest.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD